News:

SMF 2.0.19 has been released! Please update. Read more.

Main Menu

Bookmarks

Started by Matthew K., July 16, 2007, 01:07:24 PM

Previous topic - Next topic

busterone

I can also concur that this mod works very well on 2 RC1.2 with a manual install. Follow the parser step by step and it does work.

Altair

I think I will wait for the author to update this Mod before I install it. I know Aaron is still around, sure he will get back to it in time.

danielwmoore

I went into the "package-info.xml" file, and changed 2 lines.

Find:
<install for="2.0 Beta 3, 2.0 Beta 3 Public, 2.0 Beta 3.1, 2.0 Beta 3.1 Public, 2.0 Beta 4, 2.0 Beta 4 Public, 2.0 RC1">

Replace with:
<install for="2.0 Beta 3, 2.0 Beta 3 Public, 2.0 Beta 3.1, 2.0 Beta 3.1 Public, 2.0 Beta 4, 2.0 Beta 4 Public, 2.0 RC1, 2.0 RC1-1, 2.0 RC1.2">

Find:
<uninstall for="2.0 Beta 3, 2.0 Beta 3 Public, 2.0 Beta 3.1, 2.0 Beta 3.1 Public, 2.0 Beta 4, 2.0 Beta 4 Public, 2.0 RC1">

Replace with:
<uninstall for="2.0 Beta 3, 2.0 Beta 3 Public, 2.0 Beta 3.1, 2.0 Beta 3.1 Public, 2.0 Beta 4, 2.0 Beta 4 Public, 2.0 RC1, 2.0 RC1-1, 2.0 RC1.2">

It worked flawlessly this way for my 2.0 RC1.2 installation, and I already have about 28 mods.  This is a great mod.  The only update it needs is the one I've just shown above, as far as I can tell.

Aäron, I encourage you to incorporate this simple change.  That way, only those who have a mod conflict would have to do the manual install.  I made this change before I attempted install, and it was a flawless automatic package install for my 2.0 RC1.2.

Sabre™

You could also eliminate all of that and just have <install> & <uninstall> for further updates to smf2, so you dont need to keep updating it with each version update.
Also the uninstall button will always be visible ;)
Do NOT give admin and/or ftp details to just anybody, see if they are trust worthy first!!  Do your homework ;)


plusev


Arantor

Alternatively you could use the Advanced button in the Package Manager to override the version and enter 2.0 RC1 and it would have installed just fine anyway.

Prosoi

Hi, what about feature-request: add ability to add single post (reply) to bookmarks, instead of all topic.

Arantor

If I remember the mod correctly, this isn't so much a minor tweak but a fairly large overhaul.

Though I can't speak for the developer, I would believe he is busy working on SMF 2 RC2 rather than supporting his mods at present - but if he gets chance he may be able to overhaul it.

fff

is this mod compatibile with 1.1.10 version ?

Arantor

It should be - there are no changes between 1.1.9 and 1.1.10 that this mod would affect IIRC, so you should be able to just install it.

fff

managepermissions.php
Find: [Select]

'karma_edit' => false,
),
'pm' => array(


Replace With: [Select]

'make_bookmarks' => false,
'karma_edit' => false,
),
'pm' => array(


I have installed manually Ad management mod. Because of that the code in managepermissions.php is
'karma_edit' => false,
),
'ad_manage' => array(
'ad_manageperm' => false,
),
'pm' => array(


So how should I replace the previous code with this code
'make_bookmarks' => false,
'karma_edit' => false,
),
'pm' => array(




Arantor

Just add the 'make_bookmarks' line above the 'karma_edit' line.

gitchuone

I got the mod installed no problem, but it is only working on my Admin account and I cannot find where I can set it for any other membergroup. Anyone have any idea what I need to do to allow this?

Hiver101

is this mod works on SMF 2.0 RC1.2? please let me know

Arantor

Yes it does.

Go into Admin > Packages > Browse Packages, select the little 'Advanced' option in the lower right corner, and enter 2.0 RC1 instead of 2.0 RC1.2.

TurtleKicker

Any chance of support for SMF2 RC2?

LG965

I use on my smf 1.1.10 this mod with pleasure!  :)
I have a suggestion for next relise: insert an icon in 3d that I added to my bookmarks. 8)
Thanks Aaron  ;)

Hoodie

Quote from: sremick on November 12, 2009, 02:36:29 PM
Any chance of support for SMF2 RC2?

Agreed..  RC2 support soon please..

Tanks

Would love to have this on my 2.0 RC2 forum. Cheers ;)

Vekseid

Real quick patch job here: http://elliquiy.com/pics/bookmarks222.zip

It only works with RC2 because of the new default template.
Adult Role Playing Forums - - Over five million posts - - Elliquiy's LAMP configuration (maybe NSFW)

Blog about Forums and Servers - - Twenty things to make Simple Machines Forum go faster

Private/Instant Message requests for free support will be ignored.

Advertisement: